//Reading Normal Map and Bias
	float3 bumps = Bumpy * (tex2D(normalSampler, IN.TexCoord.xy).xyz-(0.5).xxx);

//Setting up TBN
	float3 Nn = normalize(IN.WorldNormal);
	float3 Tn = normalize(IN.WorldTangent);
	float3 Bn = normalize(IN.WorldBitangent);
	
	//Convert to World-Space
	float3 Nb = Nn + (bumps.x * Tn + bumps.y*Bn);
	Nb = normalize(Nb);

	//NOTE: change accodinly
	float3 Vn = normalize(IN.WorldEyePos - IN.WorldPos);
	float3 Ln = normalize(IN.LightVec.xyz);
	float3 Hn = normalize(Vn + Ln);

	float ldn = dot(Ln,Nb);
	ldn = (max(0.0,ldn)) * LightIntensity;
	float hdn = pow(max(0,dot(Hn,Nb)),SpecExpon);